pydo.vector_databases.create()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.vector_databases.create(
    body={
        "name": "example name",
        "project_id": "123e4567-e89b-12d3-a456-426614174000",
        "region": "tor1",
        ...,
    },
)
Returns JSONRaises HttpResponseError

Description

To create a vector database, send a POST request to /v2/vector-databases. The response body contains a JSON object with a vector_db key holding the newly created database. Its initial status is creating and changes to active once the database is ready to receive traffic.

Parameters

name string optional

Example: example name

Required. Human-readable name for the database.

project_id string optional

Example: 123e4567-e89b-12d3-a456-426614174000

Required. ID of the project to create the vector database in.

region string optional

Example: tor1

Required. Region slug where the database will be provisioned.

size string optional

Example: example string

Required. Resource tier: small, medium, or large.

tags array of strings optional

Example: ['example string']

A set of arbitrary tags to organize your vector database

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "example name",
  "project_id": "123e4567-e89b-12d3-a456-426614174000",
  "region": "tor1",
  "size": "example string",
  "tags": [
    "example string"
  ]
}

resp = client.vector_databases.create(body=req)

Response Example

Show Response Example
{
  "vector_db": {
    "config": {
      "default_quantization": "example string",
      "enable_auto_schema": true,
      "weaviate_version": "example string"
    },
    "created_at": "2023-01-01T00:00:00Z",
    "endpoints": {
      "grpc": "my-db-tor1-a1b2c3d4-grpc.weaviate.ondigitalocean.com:443",
      "http": "https://my-db-tor1-a1b2c3d4.weaviate.ondigitalocean.com"
    },
    "forked_from_id": "123e4567-e89b-12d3-a456-426614174000",
    "id": "example string",
    "last_restore_id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "example name",
    "owner_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "region": "tor1",
    "size": "example string",
    "status": "example string",
    "tags": [
      "example string"
    ],
    "updated_at": "2023-01-01T00:00:00Z"
  }
}

More Information

See /v2/vector-databases in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.